Part History

Get Part History v2.0

GET https://yoursite.demanddriventech.com/odata/v2/parthistory

This endpoint allows you to get the part history for the current dataset. This endpoint does not currently accept parameters.

{
    "@odata.context": "https://yoursite.demanddriventech.com/odata/v2/$metadata#parthistory",
    "value": [
        {
            "DataSetId": 1,
            "Id": "23a9ccc3-2255-405a-84c2-06912a3a0377",
            "PartId": 1,
            "LocationId": 3,
            "Date": "2020-04-23T01:55:19.93-07:00",
            "PartNumber": "Washers",
            "Revision": "",
            "Location": "Plant300",
            "Profile": "M11",
            "PartType": "Make",
            "Priority": "Critical",
            "TopOfGreen": 20.0,
            "TopOfYellow": 15.0,
            "TopOfRed": 5.0,
            "InventoryAlert": 2.5,
            "InventoryQty": 0.0,
            "TotalSupply": 0.0,
            "TotalDemand": 0.0,
            "PlannerCode": "Gary",
            "MaterialType": "",
            "RPlusLeadTime": 10,
            "Vendor": "",
            "VendorIdentifier": "",
            "RawMaterialsCost": 0.0,
            "OutSourceCost": 0.0,
            "OnHandQty": 0.0,
            "TargetedInventory": 7.5,
            "AlertType": "CurrentInventoryAlert",
            "AverageDailyUsage": 1.0,
            "EffectiveDailyUsage": 1.0,
            "YZAFValue": 0.0,
            "RZAFValue": 0.0,
            "MaterialAvailabilityShortage": false
        }
    ]
}

Part History Fields

Field Name

Type

DataSetId

int

Id

int

LocationId

int

Date

date

PartNumber

text

Revision

text

Location

text

PartType

PartType

Profile

text

TopOfGreen

decimal

TopOfYellow

decimal

TopOfRed

decimal

InventoryAlert

decimal

InventoryQty

decimal

TotalSupply

decimal

TotalDemand

decimal

PlannerCode

text

MaterialType

text

RPlusLeadTime

int

Vendor

text

VendorIdentifier

text

RawMaterialCost

decimal

OutSourceCost

decimal

Priority

Priority

OnHandQty

decimal

TargetedInventory

decimal?

AltertType

text

AverageDailyUsage

decimal?

EffectiveDailyUsage

decimal?

ForecastedDailyUsage

decimal?

YZAFValue

decimal?

RZAFValue

decimal?

MaterialAvailabilityShortage

bool

Last updated